sc::GPetite4(3)

NAME
sc::GPetite4 -

This class provides a generalized four index petite list.

SYNOPSIS

#include <gpetite.h>

Inherits sc::GenPetite4.

  Public Member Functions
GPetite4 (const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2, const Ref< GaussianBasisSet > &b3, const Ref< GaussianBasisSet > &b4, const C4 &c)
int in_p4 (int i, int j, int k, int l)

Detailed Description

  template<class C4> class sc::GPetite4< C4 >
This class provides a generalized four index petite list. The template argument is a class that computes an canonical offset given four indices for the particular shell loop structure employed. Example template class parameters are canonical_aaaa, canonical_aabc, canonical_aabb, and canonical_abcd.

Author

Generated automatically by Doxygen for MPQC from the source code.